function diaryon(fname, fnoIn, fextIn)
% Open a diary file. Delete it, if it exists before.
% ---------------------------------------
% TASK:
%   Add current date on top of diary file.
% IN:
%   fname   = full path name without extension
%   fno     = number to be appended to fname; optional
%   fext    = file extension; optional; default '.out'

% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------

    if nargin < 3
        fext = '.out';
    else
        fext = fextIn;
    end
    if nargin < 2
        fno = [];
    elseif isempty(fnoIn)
        fno = [];
    else
        fno = int2str(fnoIn);
    end
    
    if isempty(fno)
        dname = [ fname, fext ];
    else
        dname = [ fname, fno, fext ];
    end
    
    % ** The following roundabout procedure is required. One has to open
    % ** a ficticious other diary file. Otherwise there will be a sharing
    % ** violation when 'delete' is issued.
    
    diary off
    diary '~2143767.tmp'
    eval([ 'delete ', dname ]);
    eval([ 'diary ', dname ]);
    disp([ dname, '  -  ', date ]);        


% *** end function ***
