function res = multseq(x1, x2, n)
% seqm: Compute multiplicate sequence; evenly spaced between x1 and x2
% ---------------------------------------
% TASK:
%	compute multiplicate sequence
% IN:
%	x1 = start value
%	x2 = terminal value
%	n = number of elements
% OUT:
% ERRORS:
%	x1 = 0
%	n not integer
%	n < 1

% TEST:
%	no test; the errors lead to crashes and cannot be tested from a program
% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------

%  *** Check inputs ***

    if isempty(x1) | isempty(x2) | isempty (n)
        abort('Invalid arguments')
    end
    if x1 == 0
      error('x1 = 0')
    end
    if n < 1  |	~isint(n)
      abort('Invalid n')
    end

%  *** Compute sequence ***

    res = logspace( log10(x1), log10(x2), n );
 
% *** end function ***

