function res = seqa(x1, increm, n)
% seqm: Compute linear sequence
% ---------------------------------------
% TASK:
%	compute linear sequence
% IN:
%	x1 = start value
%	increm = increment
%	n = number of elements
% OUT:
%	ROW vector [ x1, x1+increm, ..., x1+(n-1)*increm ]
% ERRORS:
%	n not integer
%	n < 1
% REM:
%  for more speed call linspace() directly

% TEST:
%	no test; the errors lead to crashes and cannot be tested from a program
% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------

%  *** Check inputs ***

    if nargin~=3 | isempty(x1) | isempty(increm) | isempty (n)
        error('Invalid arguments')
    end
    if n < 1  |	~isint(n)
      error('Invalid n')
    end

%  *** Compute sequence ***

   res = linspace(x1, (n-1)*increm+x1, n);

% *** end function ***


