function res = seqm(x1, mult, n, dbg)
% seqm: Compute multiplicate sequence
% ---------------------------------------
% TASK:
%       compute multiplicate sequence
% IN:
%       x1 = start value (scalar)
%       mult = multiplier (scalar)
%       n = number of elements (scalar)
% OUT:
%       ROW vector [ x1, x1^2, ..., x1^(n-1) ]

% ERRORS:
%       x1 = 0
%       n not integer
%       n < 1

% TEST:
%       no test; the errors lead to crashes and cannot be tested from a program
% AUTHOR: Lutz Hendricks, 1995
% ---------------------------------------

   if nargin < 4
      dbg = 0;
   end
   fName = 'seqm';
   global UNDEFINED


%  *** Check inputs ***

if dbg > 5
   v_check( x1, 'f', [1,1], UNDEFINED, UNDEFINED );
   v_check( n, 'i', [1,1], 1, UNDEFINED );
   v_check( mult, 'f', [1,1], 0, UNDEFINED );
end

if dbg > 0
   if x1 == 0
      abort('x1 = 0')
   end
end


%  *** Compute sequence ***

   xvec = ones(1,n) .* mult;
   xvec(1) = x1;
   res = cumprod( xvec );


% *** end function ***

